# sc::TwoBodySOInt Class Reference

Inheritance diagram for sc::TwoBodySOInt:

List of all members.

## Public Member Functions

| TwoBodySOInt (const Ref< TwoBodyInt > &)
Ref< SOBasis > | basis () const
Ref< SOBasis > | basis1 () const
Ref< SOBasis > | basis2 () const
Ref< SOBasis > | basis3 () const
Ref< SOBasis > | basis4 () const
const double * | buffer () const
virtual void | compute_shell (int, int, int, int)
int | redundant () const
int | only_totally_symmetric () const
void | set_only_totally_symmetric (int i)

## Protected Attributes

Ref< TwoBodyInt > | tb_
Ref< SOBasis > | b1_
Ref< SOBasis > | b2_
Ref< SOBasis > | b3_
Ref< SOBasis > | b4_
double * | buffer_
int | redundant_
int | only_totally_symmetric_

The documentation for this class was generated from the following file:

- sointegral.h